package com.gh.common.videolog

import androidx.room.*

@Dao
interface VideoRecordDao {
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insertMany(eventList: List<VideoRecordEntity>)

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insert(event: VideoRecordEntity)

    @Query("SELECT * FROM VideoRecord")
    fun getAll(): List<VideoRecordEntity>

    @Delete
    fun deleteMany(eventList: List<VideoRecordEntity>)
}